Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliSigType

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliSigType

All Implemented Interfaces:
  `CliRepresentable`

Direct Known Subclasses:
  `CliAbstractSig.CliTypeArray`, `CliAbstractSig.CliTypeClass`, `CliAbstractSig.CliTypeFnPtr`, `CliAbstractSig.CliTypeGenericInst`, `CliAbstractSig.CliTypePrimitive`, `CliAbstractSig.CliTypePtr`, `CliAbstractSig.CliTypeSzArray`, `CliAbstractSig.CliTypeValueType`, `CliAbstractSig.CliTypeVarOrMvar`

Enclosing class:
  `CliAbstractSig`

public abstract class CliAbstractSig.CliSigType extends Object implements CliRepresentable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CliAbstractSig.CliElementType`
  `baseTypeCode`
  `static final String`
  `PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliSigType(CliAbstractSig.CliElementType typeCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract DataType`
  `getDefinitionDataType()`
  `DataType`
  `getExecutionDataType()`
  `abstract String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseTypeCode

    protected CliAbstractSig.CliElementType baseTypeCode

  - ### PATH

    public static final String PATH
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CliSigType

    public CliSigType(CliAbstractSig.CliElementType typeCode)

- ## Method Details

  - ### getRepresentation

    public abstract String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getDefinitionDataType

    public abstract DataType getDefinitionDataType()

  - ### getExecutionDataType

    public DataType getExecutionDataType()